org.eclipse.oomph.setup.pde.impl

## Class APIBaselineTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.pde.impl.APIBaselineTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, APIBaselineTask, SetupTask

      public class APIBaselineTaskImpl
      extends SetupTaskImpl
      implements APIBaselineTask

  An implementation of the model object 'Api Baseline Task'.

  The following features are implemented:

  - `Name`
  - `Version`
  - `Location`
  - `Remote URI`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `location` The cached value of the '`Location`' attribute.
    `protected static String` | `LOCATION_EDEFAULT` The default value of the '`Location`' attribute.
    `protected String` | `name` The cached value of the '`Name`' attribute.
    `protected static String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
    `protected static String` | `REMOTE_URI_EDEFAULT` The default value of the '`Remote URI`' attribute.
    `protected String` | `remoteURI` The cached value of the '`Remote URI`' attribute.
    `protected String` | `version` The cached value of the '`Version`' attribute.
    `protected static String` | `VERSION_EDEFAULT` The default value of the '`Version`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `APIBaselineTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getLocation()`
    `String` | `getName()`
    `String` | `getRemoteURI()`
    `String` | `getVersion()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setLocation(String newLocation)`
    `void` | `setName(String newName)`
    `void` | `setRemoteURI(String newRemoteURI)`
    `void` | `setVersion(String newVersion)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `consolidate, createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInverseRemove, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### NAME_EDEFAULT

          protected static final String NAME_EDEFAULT

      The default value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### name

          protected String name

      The cached value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### VERSION_EDEFAULT

          protected static final String VERSION_EDEFAULT

      The default value of the '`Version`' attribute.
      See Also:
        `getVersion()`
      Generated
      Ordered

    - #### version

          protected String version

      The cached value of the '`Version`' attribute.
      See Also:
        `getVersion()`
      Generated
      Ordered

    - #### LOCATION_EDEFAULT

          protected static final String LOCATION_EDEFAULT

      The default value of the '`Location`' attribute.
      See Also:
        `getLocation()`, Constant Field Values
      Generated
      Ordered

    - #### location

          protected String location

      The cached value of the '`Location`' attribute.
      See Also:
        `getLocation()`
      Generated
      Ordered

    - #### REMOTE_URI_EDEFAULT

          protected static final String REMOTE_URI_EDEFAULT

      The default value of the '`Remote URI`' attribute.
      See Also:
        `getRemoteURI()`
      Generated
      Ordered

    - #### remoteURI

          protected String remoteURI

      The cached value of the '`Remote URI`' attribute.
      See Also:
        `getRemoteURI()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### APIBaselineTaskImpl

          protected APIBaselineTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `APIBaselineTask`
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `APIBaselineTask.setName(String)`, `PDEPackage.getAPIBaselineTask_Name()`
      Generated

    - #### setName

          public void setName(String newName)

      Specified by:
        `setName` in interface `APIBaselineTask`
      Parameters:
        `newName` - the new value of the 'Name' attribute.
      See Also:
        `APIBaselineTask.getName()`
      Generated

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `APIBaselineTask`
      Returns:
        the value of the 'Version' attribute.
      See Also:
        `APIBaselineTask.setVersion(String)`, `PDEPackage.getAPIBaselineTask_Version()`
      Generated

    - #### setVersion

          public void setVersion(String newVersion)

      Specified by:
        `setVersion` in interface `APIBaselineTask`
      Parameters:
        `newVersion` - the new value of the 'Version' attribute.
      See Also:
        `APIBaselineTask.getVersion()`
      Generated

    - #### getLocation

          public String getLocation()

      Specified by:
        `getLocation` in interface `APIBaselineTask`
      Returns:
        the value of the 'Location' attribute.
      See Also:
        `APIBaselineTask.setLocation(String)`, `PDEPackage.getAPIBaselineTask_Location()`
      Generated

    - #### setLocation

          public void setLocation(String newLocation)

      Specified by:
        `setLocation` in interface `APIBaselineTask`
      Parameters:
        `newLocation` - the new value of the 'Location' attribute.
      See Also:
        `APIBaselineTask.getLocation()`
      Generated

    - #### getRemoteURI

          public String getRemoteURI()

      Specified by:
        `getRemoteURI` in interface `APIBaselineTask`
      Returns:
        the value of the 'Remote URI' attribute.
      See Also:
        `APIBaselineTask.setRemoteURI(String)`, `PDEPackage.getAPIBaselineTask_RemoteURI()`
      Generated

    - #### setRemoteURI

          public void setRemoteURI(String newRemoteURI)

      Specified by:
        `setRemoteURI` in interface `APIBaselineTask`
      Parameters:
        `newRemoteURI` - the new value of the 'Remote URI' attribute.
      See Also:
        `APIBaselineTask.getRemoteURI()`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html